<?php
if ( ! function_exists( 'flexwebsite_setup' ) ) :

function flexwebsite_setup() {

    /*
     * Make theme available for translation.
     * Translations can be filed in the /languages/ directory.
     */
    /* Pinegrow generated Load Text Domain Begin */
    load_theme_textdomain( 'flexwebsite', get_template_directory() . '/languages' );
    /* Pinegrow generated Load Text Domain End */

    // Add default posts and comments RSS feed links to head.
    add_theme_support( 'automatic-feed-links' );

    /*
     * Let WordPress manage the document title.
     */
    add_theme_support( 'title-tag' );
    
    /*
     * Enable support for Post Thumbnails on posts and pages.
     */
    add_theme_support( 'post-thumbnails' );
    //Support custom logo
    add_theme_support( 'custom-logo' );

    // Add menus.
    register_nav_menus( array(
        'primary' => __( 'Primary Menu', 'flexwebsite' ),
        'social'  => __( 'Social Links Menu', 'flexwebsite' ),
    ) );

/*
     * Register custom menu locations
     */
    /* Pinegrow generated Register Menus Begin */

    register_nav_menu(  'footer_right', __( 'Footer right', 'flexwebsite' )  );

    /* Pinegrow generated Register Menus End */
    
/*
    * Set image sizes
     */
    /* Pinegrow generated Image sizes Begin */

    /* Pinegrow generated Image sizes End */
    
    /*
     * Switch default core markup for search form, comment form, and comments
     * to output valid HTML5.
     */
    add_theme_support( 'html5', array(
        'search-form', 'comment-form', 'comment-list', 'gallery', 'caption'
    ) );

    /*
     * Enable support for Post Formats.
     */
    add_theme_support( 'post-formats', array(
        'aside', 'image', 'video', 'quote', 'link', 'gallery', 'status', 'audio', 'chat'
    ) );

    /*
     * Enable support for Page excerpts.
     */
     add_post_type_support( 'page', 'excerpt' );
}
endif; // flexwebsite_setup

add_action( 'after_setup_theme', 'flexwebsite_setup' );


if ( ! function_exists( 'flexwebsite_init' ) ) :

function flexwebsite_init() {

    
    // Use categories and tags with attachments
    register_taxonomy_for_object_type( 'category', 'attachment' );
    register_taxonomy_for_object_type( 'post_tag', 'attachment' );

    /*
     * Register custom post types. You can also move this code to a plugin.
     */
    /* Pinegrow generated Custom Post Types Begin */

    /* Pinegrow generated Custom Post Types End */
    
    /*
     * Register custom taxonomies. You can also move this code to a plugin.
     */
    /* Pinegrow generated Taxonomies Begin */

    /* Pinegrow generated Taxonomies End */

}
endif; // flexwebsite_setup

add_action( 'init', 'flexwebsite_init' );


if ( ! function_exists( 'flexwebsite_custom_image_sizes_names' ) ) :

function flexwebsite_custom_image_sizes_names( $sizes ) {

    /*
     * Add names of custom image sizes.
     */
    /* Pinegrow generated Image Sizes Names Begin*/
    /* This code will be replaced by returning names of custom image sizes. */
    /* Pinegrow generated Image Sizes Names End */
    return $sizes;
}
add_action( 'image_size_names_choose', 'flexwebsite_custom_image_sizes_names' );
endif;// flexwebsite_custom_image_sizes_names



if ( ! function_exists( 'flexwebsite_widgets_init' ) ) :

function flexwebsite_widgets_init() {

    /*
     * Register widget areas.
     */
    /* Pinegrow generated Register Sidebars Begin */

    /* Pinegrow generated Register Sidebars End */
}
add_action( 'widgets_init', 'flexwebsite_widgets_init' );
endif;// flexwebsite_widgets_init



if ( ! function_exists( 'flexwebsite_customize_register' ) ) :

function flexwebsite_customize_register( $wp_customize ) {
    // Do stuff with $wp_customize, the WP_Customize_Manager object.

    /* Pinegrow generated Customizer Controls Begin */

    /* Pinegrow generated Customizer Controls End */

}
add_action( 'customize_register', 'flexwebsite_customize_register' );
endif;// flexwebsite_customize_register


if ( ! function_exists( 'flexwebsite_enqueue_scripts' ) ) :
    function flexwebsite_enqueue_scripts() {

        /* Pinegrow generated Enqueue Scripts Begin */

    wp_register_script( 'inline-script-1', '', [], '', false );
    wp_enqueue_script( 'inline-script-1' );
    wp_add_inline_script( 'inline-script-1', '/* Pinegrow Interactions, do not remove */ (function(){try{if(!document.documentElement.hasAttribute(\'data-pg-ia-disabled\')) { window.pgia_small_mq=typeof pgia_small_mq==\'string\'?pgia_small_mq:\'(max-width:767px)\';window.pgia_large_mq=typeof pgia_large_mq==\'string\'?pgia_large_mq:\'(min-width:768px)\';var style = document.createElement(\'style\');var pgcss=\'html:not(.pg-ia-no-preview) [data-pg-ia-hide=""] {opacity:0;visibility:hidden;}html:not(.pg-ia-no-preview) [data-pg-ia-show=""] {opacity:1;visibility:visible;display:block;}\';if(document.documentElement.hasAttribute(\'data-pg-id\') && document.documentElement.hasAttribute(\'data-pg-mobile\')) {pgia_small_mq=\'(min-width:0)\';pgia_large_mq=\'(min-width:99999px)\'} pgcss+=\'@media \' + pgia_small_mq + \'{ html:not(.pg-ia-no-preview) [data-pg-ia-hide="mobile"] {opacity:0;visibility:hidden;}html:not(.pg-ia-no-preview) [data-pg-ia-show="mobile"] {opacity:1;visibility:visible;display:block;}}\';pgcss+=\'@media \' + pgia_large_mq + \'{html:not(.pg-ia-no-preview) [data-pg-ia-hide="desktop"] {opacity:0;visibility:hidden;}html:not(.pg-ia-no-preview) [data-pg-ia-show="desktop"] {opacity:1;visibility:visible;display:block;}}\';style.innerHTML=pgcss;document.querySelector(\'head\').appendChild(style);}}catch(e){console&&console.log(e);}})()');

    wp_deregister_script( 'flexwebsite-pgia' );
    wp_enqueue_script( 'flexwebsite-pgia', get_template_directory_uri() . '/pgia/lib/pgia.js', false, null, true);

    /* Pinegrow generated Enqueue Scripts End */

        /* Pinegrow generated Enqueue Styles Begin */

    wp_enqueue_style( 'poppins-font', 'https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap', null, null, 'all' );

    wp_deregister_style( 'flexwebsite-tailwind' );
    wp_enqueue_style( 'flexwebsite-tailwind', get_template_directory_uri() . '/tailwind_theme/tailwind.css', false, null, 'all');

    wp_deregister_style( 'flexwebsite-style' );
    wp_enqueue_style( 'flexwebsite-style', get_bloginfo('stylesheet_url'), false, null, 'all');

    /* Pinegrow generated Enqueue Styles End */

    }
    add_action( 'wp_enqueue_scripts', 'flexwebsite_enqueue_scripts' );
endif;

function pgwp_sanitize_placeholder($input) { return $input; }
/*
 * Resource files included by Pinegrow.
 */
/* Pinegrow generated Include Resources Begin */
require_once "inc/custom.php";
require_once "inc/wp_pg_helpers.php";
require_once "inc/wp_smart_navwalker.php";
require_once "inc/wp_simple_form_mailer.php";

    /* Pinegrow generated Include Resources End */

/* Creating Editor Blocks with Pinegrow */

function flexwebsite_blocks_init() {
    // Register blocks. Don't edit anything between the following comments.
    /* Pinegrow generated Register Pinegrow Blocks Begin */
    require_once 'blocks/navigation/navigation_register.php';
    require_once 'blocks/hero/hero_register.php';
    require_once 'blocks/service/service_register.php';
    require_once 'blocks/services/services_register.php';
    require_once 'blocks/step/step_register.php';
    require_once 'blocks/steps/steps_register.php';
    require_once 'blocks/testimonial/testimonial_register.php';
    require_once 'blocks/testimonials/testimonials_register.php';
    require_once 'blocks/pricing-plan-feature/pricing-plan-feature_register.php';
    require_once 'blocks/pricing-plan/pricing-plan_register.php';
    require_once 'blocks/pricing/pricing_register.php';
    require_once 'blocks/posts/posts_register.php';
    require_once 'blocks/logo/logo_register.php';
    require_once 'blocks/logos/logos_register.php';
    require_once 'blocks/footer/footer_register.php';
    require_once 'blocks/slide/slide_register.php';
    require_once 'blocks/slider/slider_register.php';

    /* Pinegrow generated Register Pinegrow Blocks End */
}
add_action('init', 'flexwebsite_blocks_init');

/* End of creating Editor Blocks with Pinegrow */


/* Register Blocks Categories */

function flexwebsite_register_blocks_categories( $categories ) {

    // Don't edit anything between the following comments.
    /* Pinegrow generated Register Blocks Category Begin */

$categories = array_merge( $categories, array( array(
        'slug' => 'flex',
        'title' => __( 'Flex Website Blocks', 'flexwebsite' )
    ) ) );

    /* Pinegrow generated Register Blocks Category End */
    
    return $categories;
}
add_action( version_compare('5.8', get_bloginfo('version'), '<=' ) ? 'block_categories_all' : 'block_categories', 'flexwebsite_register_blocks_categories');

/* End of registering Blocks Categories */


/* Setting up theme supports options */

function flexwebsite_setup_theme_supports() {
    // Don't edit anything between the following comments.
    /* Pinegrow generated Theme Supports Begin */
    
    //Tell WP to scope loaded editor styles to the block editor                    
    add_theme_support( 'editor-styles' );
    /* Pinegrow generated Theme Supports End */
}
add_action('after_setup_theme', 'flexwebsite_setup_theme_supports');

/* End of setting up theme supports options */


/* Loading editor styles for blocks */

function flexwebsite_add_blocks_editor_styles() {
    // Add blocks editor styles. Don't edit anything between the following comments.
    /* Pinegrow generated Load Blocks Editor Styles Begin */
    add_editor_style( 'tailwind_theme/tailwind_for_wp_editor.css' );

    /* Pinegrow generated Load Blocks Editor Styles End */
}
add_action('admin_init', 'flexwebsite_add_blocks_editor_styles');

/* End of loading editor styles for blocks */


/* Enqueue Admin Styles and Scripts */

function flexwebsite_selectively_enqueue_admin_script( $page ) {

    // Don't edit anything between the following comments.
    /* Pinegrow generated Enqueue Admin Styles Begin */

    wp_enqueue_style( 'poppins-font', 'https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap', null, null, 'all' );

    /* Pinegrow generated Enqueue Admin Styles End */
    
    /* Pinegrow generated Enqueue Admin Scripts Begin */
    /* Pinegrow generated Enqueue Admin Scripts End */
        
}
add_action( 'admin_enqueue_scripts', 'flexwebsite_selectively_enqueue_admin_script' );

/* End Enqueue Admin Styles and Scripts */

?>