
( function ( blocks, element, blockEditor ) {
    const el = element.createElement,
        registerBlockType = blocks.registerBlockType,
        ServerSideRender = PgServerSideRender,
        InspectorControls = blockEditor.InspectorControls,
        useBlockProps = blockEditor.useBlockProps;
        
    const {__} = wp.i18n;
    const {ColorPicker, TextControl, ToggleControl, SelectControl, Panel, PanelBody, Disabled, TextareaControl, BaseControl} = wp.components;
    const {useSelect} = wp.data;
    const {RawHTML, Fragment} = element;
   
    const {InnerBlocks, URLInputButton, RichText} = wp.blockEditor;
    const useInnerBlocksProps = blockEditor.useInnerBlocksProps || blockEditor.__experimentalUseInnerBlocksProps;
    
    const propOrDefault = function(val, prop, field) {
        if(block.attributes[prop] && (val === null || val === '')) {
            return field ? block.attributes[prop].default[field] : block.attributes[prop].default;
        }
        return val;
    }
    
    const block = registerBlockType( 'flexwebsite/pricing', {
        apiVersion: 2,
        title: 'Pricing',
        icon: 'block-default',
        category: 'flex',
        keywords: [],
        supports: {color: {background: false,text: false,gradients: false,link: false,},typography: {fontSize: false,},anchor: false,align: false,},
        attributes: {
            section_id: {
                type: 'text',
                default: '',
            },
            label: {
                type: 'text',
                default: `Pricing`,
            },
            title: {
                type: 'text',
                default: `Flexible pricing plan for your startup`,
            }
        },
        example: { attributes: { section_id: '', label: `Pricing`, title: `Flexible pricing plan for your startup` } },
        edit: function ( props ) {
            const blockProps = useBlockProps({ className: 'py-20 xl:py-24 bg-white', style: { backgroundPosition: 'center',backgroundImage: 'url(\'' + (pg_project_data_flexwebsite ? pg_project_data_flexwebsite.url : '') + 'images/pattern-white.svg\')' }, id: propOrDefault( props.attributes.section_id, 'section_id' ) });
            const setAttributes = props.setAttributes; 
            
            
            const innerBlocksProps = useInnerBlocksProps({ className: 'flex flex-wrap justify-center -mx-4' }, {
                allowedBlocks: [ 'flexwebsite/pricing-plan' ],
                template: [
    [ 'flexwebsite/pricing-plan', {} ],
    [ 'flexwebsite/pricing-plan', {} ],
    [ 'flexwebsite/pricing-plan', {} ]
],
            } );
                            
            
            return el(Fragment, {}, [
                el('section', { ...blockProps }, el('div', { className: 'container px-4 mx-auto' }, [el('div', { className: 'text-center' }, [el(RichText, { tagName: 'span', className: 'bg-green-100 font-medium inline-block leading-5 mb-4 px-2 py-px rounded-full text-green-500 text-xs uppercase', value: propOrDefault( props.attributes.label, 'label' ), onChange: function(val) { setAttributes( {label: val }) }, withoutInteractiveFormatting: true, allowedFormats: [] }), el(RichText, { tagName: 'h3', className: 'font-bold leading-tight mb-6 text-3xl text-coolGray-900 tracking-tighter md:leading-tight md:text-5xl', value: propOrDefault( props.attributes.title, 'title' ), onChange: function(val) { setAttributes( {title: val }) }, withoutInteractiveFormatting: true, allowedFormats: [] }), el('div', { className: 'flex items-center justify-center w-full mb-12' }, [el('a', { className: 'inline-block mr-4 text-lg md:text-xl text-coolGray-400 font-medium', href: '#' }, 'Billed Monthly'), el('label', { className: 'flex items-center cursor-pointer rounded-full shadow-lg', htmlFor: 'toggle' }, el('div', { className: 'relative', 'data-pg-ia': '{"l":[{"trg":"click","a":{"l":[{"t":"#gt# div:nth-of-type(2)","l":[{"t":"tween","p":0,"d":0.5,"l":{"left":4}}]},{"t":"#gt# div:nth-of-type(1)","l":[{"t":"tween","p":0,"d":0.5,"l":{"backgroundColor":"#e5e5e5"}}]},{"t":"^section | .annual","l":[{"t":"tween","p":0,"d":0.5,"l":{"autoAlpha":0}}]},{"t":"^section | .monthly","l":[{"t":"tween","p":0,"d":0.5,"l":{"autoAlpha":1}}]}]},"trev":"true"}]}' }, [el('div', { className: 'block bg-green-500 w-20 h-9 rounded-full' }), el('div', { className: 'dot absolute right-1 top-1 bg-white w-7 h-7 rounded-full shadow-lg' })])), el('a', { className: 'inline-block ml-4 text-lg md:text-xl text-coolGray-800 font-medium', href: '#' }, 'Billed Annually')])]), el('div', { ...innerBlocksProps })])),                        
                
                    el( InspectorControls, {},
                        [
                            
                            el(Panel, {},
                                el(PanelBody, {
                                    title: __('Block properties')
                                }, [
                                    
                                    el(TextControl, {
                                        value: props.attributes.section_id,
                                        help: __( '' ),
                                        label: __( 'Section id' ),
                                        onChange: function(val) { setAttributes({section_id: val}) },
                                        type: 'text'
                                    }),
                                    el(TextControl, {
                                        value: props.attributes.label,
                                        help: __( '' ),
                                        label: __( 'Label' ),
                                        onChange: function(val) { setAttributes({label: val}) },
                                        type: 'text'
                                    }),
                                    el(TextControl, {
                                        value: props.attributes.title,
                                        help: __( '' ),
                                        label: __( 'Title' ),
                                        onChange: function(val) { setAttributes({title: val}) },
                                        type: 'text'
                                    }),    
                                ])
                            )
                        ]
                    )                            

            ]);
        },

        save: function(props) {
            const blockProps = useBlockProps.save({ className: 'py-20 xl:py-24 bg-white', style: { backgroundPosition: 'center',backgroundImage: 'url(\'' + (pg_project_data_flexwebsite ? pg_project_data_flexwebsite.url : '') + 'images/pattern-white.svg\')' }, id: propOrDefault( props.attributes.section_id, 'section_id' ) });
            return el('section', { ...blockProps }, el('div', { className: 'container px-4 mx-auto' }, [el('div', { className: 'text-center' }, [el(RichText.Content, { tagName: 'span', className: 'bg-green-100 font-medium inline-block leading-5 mb-4 px-2 py-px rounded-full text-green-500 text-xs uppercase', value: propOrDefault( props.attributes.label, 'label' ) }), el(RichText.Content, { tagName: 'h3', className: 'font-bold leading-tight mb-6 text-3xl text-coolGray-900 tracking-tighter md:leading-tight md:text-5xl', value: propOrDefault( props.attributes.title, 'title' ) }), el('div', { className: 'flex items-center justify-center w-full mb-12' }, [el('a', { className: 'inline-block mr-4 text-lg md:text-xl text-coolGray-400 font-medium', href: '#' }, 'Billed Monthly'), el('label', { className: 'flex items-center cursor-pointer rounded-full shadow-lg', htmlFor: 'toggle' }, el('div', { className: 'relative', 'data-pg-ia': '{"l":[{"trg":"click","a":{"l":[{"t":"#gt# div:nth-of-type(2)","l":[{"t":"tween","p":0,"d":0.5,"l":{"left":4}}]},{"t":"#gt# div:nth-of-type(1)","l":[{"t":"tween","p":0,"d":0.5,"l":{"backgroundColor":"#e5e5e5"}}]},{"t":"^section | .annual","l":[{"t":"tween","p":0,"d":0.5,"l":{"autoAlpha":0}}]},{"t":"^section | .monthly","l":[{"t":"tween","p":0,"d":0.5,"l":{"autoAlpha":1}}]}]},"trev":"true"}]}' }, [el('div', { className: 'block bg-green-500 w-20 h-9 rounded-full' }), el('div', { className: 'dot absolute right-1 top-1 bg-white w-7 h-7 rounded-full shadow-lg' })])), el('a', { className: 'inline-block ml-4 text-lg md:text-xl text-coolGray-800 font-medium', href: '#' }, 'Billed Annually')])]), el('div', { className: 'flex flex-wrap justify-center -mx-4' }, el(InnerBlocks.Content, { allowedBlocks: [ 'flexwebsite/pricing-plan' ] }))]));
        }                        

    } );
} )(
    window.wp.blocks,
    window.wp.element,
    window.wp.blockEditor
);                        
