
( function ( blocks, element, blockEditor ) {
    const el = element.createElement,
        registerBlockType = blocks.registerBlockType,
        ServerSideRender = PgServerSideRender,
        InspectorControls = blockEditor.InspectorControls,
        useBlockProps = blockEditor.useBlockProps;
        
    const {__} = wp.i18n;
    const {ColorPicker, TextControl, ToggleControl, SelectControl, Panel, PanelBody, Disabled, TextareaControl, BaseControl} = wp.components;
    const {useSelect} = wp.data;
    const {RawHTML, Fragment} = element;
   
    const {InnerBlocks, URLInputButton, RichText} = wp.blockEditor;
    const useInnerBlocksProps = blockEditor.useInnerBlocksProps || blockEditor.__experimentalUseInnerBlocksProps;
    
    const propOrDefault = function(val, prop, field) {
        if(block.attributes[prop] && (val === null || val === '')) {
            return field ? block.attributes[prop].default[field] : block.attributes[prop].default;
        }
        return val;
    }
    
    const block = registerBlockType( 'flexwebsite/testimonials', {
        apiVersion: 2,
        title: 'Testimonials',
        icon: 'block-default',
        category: 'flex',
        keywords: [],
        supports: {color: {background: false,text: false,gradients: false,link: false,},typography: {fontSize: false,},anchor: false,align: false,},
        attributes: {
            section_id: {
                type: 'text',
                default: '',
            },
            label: {
                type: 'text',
                default: `Quotes`,
            }
        },
        example: { attributes: { section_id: '', label: `Quotes` } },
        edit: function ( props ) {
            const blockProps = useBlockProps({ className: 'py-24 md:pb-28 bg-white', style: { backgroundPosition: 'center',backgroundImage: 'url(\'' + (pg_project_data_flexwebsite ? pg_project_data_flexwebsite.url : '') + 'images/pattern-white.svg\')' }, id: propOrDefault( props.attributes.section_id, 'section_id' ) });
            const setAttributes = props.setAttributes; 
            
            
            const innerBlocksProps = useInnerBlocksProps({}, {
                allowedBlocks: [ 'flexwebsite/slider' ],
                template: [
    [ 'flexwebsite/testimonial', {} ]
],
            } );
                            
            
            return el(Fragment, {}, [
                el('section', { ...blockProps }, el('div', { className: 'container px-4 mx-auto' }, [el('div', { className: 'relative text-center' }, el(RichText, { tagName: 'span', className: 'bg-green-100 font-medium inline-block leading-5 mb-4 px-2 py-px rounded-full text-green-500 text-xs uppercase', value: propOrDefault( props.attributes.label, 'label' ), onChange: function(val) { setAttributes( {label: val }) }, withoutInteractiveFormatting: true, allowedFormats: [] })), el('div', { ...innerBlocksProps })])),                        
                
                    el( InspectorControls, {},
                        [
                            
                            el(Panel, {},
                                el(PanelBody, {
                                    title: __('Block properties')
                                }, [
                                    
                                    el(TextControl, {
                                        value: props.attributes.section_id,
                                        help: __( '' ),
                                        label: __( 'Section id' ),
                                        onChange: function(val) { setAttributes({section_id: val}) },
                                        type: 'text'
                                    }),
                                    el(TextControl, {
                                        value: props.attributes.label,
                                        help: __( '' ),
                                        label: __( 'Label' ),
                                        onChange: function(val) { setAttributes({label: val}) },
                                        type: 'text'
                                    }),    
                                ])
                            )
                        ]
                    )                            

            ]);
        },

        save: function(props) {
            const blockProps = useBlockProps.save({ className: 'py-24 md:pb-28 bg-white', style: { backgroundPosition: 'center',backgroundImage: 'url(\'' + (pg_project_data_flexwebsite ? pg_project_data_flexwebsite.url : '') + 'images/pattern-white.svg\')' }, id: propOrDefault( props.attributes.section_id, 'section_id' ) });
            return el('section', { ...blockProps }, el('div', { className: 'container px-4 mx-auto' }, [el('div', { className: 'relative text-center' }, el(RichText.Content, { tagName: 'span', className: 'bg-green-100 font-medium inline-block leading-5 mb-4 px-2 py-px rounded-full text-green-500 text-xs uppercase', value: propOrDefault( props.attributes.label, 'label' ) })), el('div', {}, el(InnerBlocks.Content, { allowedBlocks: [ 'flexwebsite/slider' ] }))]));
        }                        

    } );
} )(
    window.wp.blocks,
    window.wp.element,
    window.wp.blockEditor
);                        
